<div>
    <h2 id="page-heading">
        <span jhiTranslate="icyTrainApp.location.home.title">Locations</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-location" [routerLink]="['/location/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="icyTrainApp.location.home.createLabel">
            Create a new Location
            </span>
        </button>
    </h2>
    <jhi-alert-error></jhi-alert-error>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="alert alert-warning" *ngIf="locations?.length === 0">
        <span jhiTranslate="icyTrainApp.location.home.notFound">No locations found</span>
    </div>
    <div class="table-responsive" *ngIf="locations?.length > 0">
        <table class="table table-striped" aria-describedby="page-heading">
            <thead>
            <tr>
            <th scope="col" ><span jhiTranslate="global.field.id">ID</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.location.streetAddress">Street Address</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.location.postalCode">Postal Code</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.location.city">City</span></th>
            <th scope="col" ><span jhiTranslate="icyTrainApp.location.stateProvince">State Province</span></th>
            <th scope="col"></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let location of locations ;trackBy: trackId">
                <td><a [routerLink]="['/location', location.id, 'view' ]">{{location.id}}</a></td>
                <td>{{location.streetAddress}}</td>
                <td>{{location.postalCode}}</td>
                <td>{{location.city}}</td>
                <td>{{location.stateProvince}}</td>
                <td class="text-right">
                    <div class="btn-group">
                        <button type="submit"
                                [routerLink]="['/location', location.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/location', location.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit" (click)="delete(location)"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
